Modify

#24 closed enhancement (fixed)

Do something with usermodes, or leave them out

Reported by: bkhl@… Owned by:
Priority: wishlist Milestone:
Component: IRC Version: 0.99
Keywords: Cc:
IRC client+version: Client-independent Operating System: Linux
OS version/distro: Debian GNU/Linux, etch (testing/unstable)

Description

If I do

/mode NICK +i

where NICK is my own BitlBee nick, the mode i is set, but apparently it doesn't do anything.

Either this shouldn't be possible, or +i should actually do something. I guess it would be natural to have it set invisibility mode for those protocols that have it.

A related problem is that

/mode NICK

doesn't report the user mode.

Attachments (0)

Change History (11)

comment:1 Changed at 2005-11-20T00:46:25Z by wilmer

Hmm, actually a nice idea. Right now setting your /away to Hidden/Invisible does the job, but I'm still not sure about the reliability of it, especially on ICQ.

Problem with +i is that, AFAIK, may IRC clients set the +i umode by default, while on IM it's not really what most people want.

Actually umodes are pretty much completely ignored by BitlBee right now. I implemented them quite early, but never thought of something to do with them. Possibly mainly because I don't use them on IRC networks either. :-)

But when support comes for operator messages (maintenance stuff, etc) they can be useful, for example. Let's just ignore them for now..

comment:2 Changed at 2005-11-20T22:13:13Z by timing

/mode <nick> -s is changing the mode too

comment:3 Changed at 2005-11-22T22:12:05Z by anonymous

Yes, please do not have umode +i set IM state as invisible.

The +i state on irc servers has a significantly different meaning than the IM invisible state and users will be confused. Since some irc clients set it by default as well, it will be even more annoying.

comment:4 Changed at 2005-11-23T05:21:47Z by anonymous

I still think it's bad that you can set modes that doesn't do anything. It gives the impression that the modes actually does have an effect.

comment:5 Changed at 2005-11-23T09:45:50Z by wilmer

You're right, I just put that stuff there for future use, and so far I couldn't think of anything to use the modes for. Any suggestions are welcome though!

comment:6 Changed at 2005-11-28T10:24:34Z by wilmer

Component: BitlBeeIRC

comment:7 Changed at 2005-11-30T05:34:06Z by mbs

this umode should not be allowed to be set for the reasons given, and also, in general, those switches which can be thrown to no effect should be removed from the interface.

that said, having some umodes do useful things is not a bad idea at all.

comment:8 Changed at 2005-12-19T23:08:25Z by timing

This Ticket can be closed now?

Because i got this message when trying to do /mode +i &bitlbee:

00:05:52 -!- Can't change channel modes 00:05:52 -!- Can't change channel modes

I's weird i get two replies

comment:9 Changed at 2005-12-19T23:11:44Z by wilmer

Priority: minorwishlist
Summary: Can set the user mode 'i', but it doesn't do anythingDo something with usermodes, or leave them out
Type: defectenhancement

Hmm, I get only one. But this is about usermodes, not channelmodes. And I think it makes sense to rename this bug to something else that we could keep in mind. :-)

comment:10 Changed at 2005-12-25T12:02:15Z by anonymous

timing, it seems you are trying to change the channel mode. We're talking about user modes.

The command would be something like:

/mode timing +i

comment:11 Changed at 2006-01-15T11:52:43Z by wilmer

Resolution: fixed
Status: newclosed

See #38, at least +w means something now, and also in the current development tree +R and +o mean something. Which means I can close this one now. :-) And yes, +i is pretty much bogus, but I'll leave it listed because many IRC clients try to set it AFAIK...

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.